#include <iostream>

using namespace std;
int main()
{
	long long ukupnoPoena, granicaZaPobedu;
	cin >> ukupnoPoena >> granicaZaPobedu;
	long long prviA = granicaZaPobedu, prviB = 0, 
		drugiA = granicaZaPobedu, drugiB = 0,
		treciA = granicaZaPobedu, treciB = 0;
	if (ukupnoPoena < 3*granicaZaPobedu)
	{
		cout << "-1";
	}
	else
	{
		ukupnoPoena -= 3 * granicaZaPobedu;
		if (ukupnoPoena > granicaZaPobedu - 2)
		{
			prviB = granicaZaPobedu - 2;
			ukupnoPoena -= (granicaZaPobedu - 2);
			if (ukupnoPoena % 2 == 1)
			{
				drugiB++;
				ukupnoPoena--;
			}
			prviA += ukupnoPoena / 2;
			prviB += ukupnoPoena / 2;
		}
		else
		{
			drugiA = ukupnoPoena;
		}
		cout << prviA << " " << prviB << endl;
		cout << drugiA << " " << drugiB << endl;
		cout << treciA << " " << treciB;
	}
	return 0;
}